Inkscape crashed just after open it

(Jerome) #1

I just updated my system (359 packages installed) and after reboot it, I can’t use Inkscape.
At the opening I’ve got an error message: Inkscape had an internal error and has to close.
I tried remove Inkscape and install it again: I still have the same error message.

Can you help me ?

Jérôme.

(Chroot Doot ✝) #2

Open Konsole and run inkscape, then post the entire output here.

(totte) #3

Was it working previously? Was Inkscape upgraded? If so, from what old version to which new version? Do you have the [testing] repository enabled?

(dinolib) #4

Here with [testing] enabled it starts.
Can you try with a different user or renaming your inkscape folder in the .config of your home?

(Jerome) #6

Hi Hans,

Before upgrading, Inkscape was working well.
I don’t remember if inkscape was upgraded ?
The testing repository is not enable.

Hi Chroot Doot,

Here the output of inkscape in Konsole:

[jerome@jerome-pc ~]$ inkscape

(inkscape:1430): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « adwaita »

(inkscape:1430): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « adwaita »

(inkscape:1430): GdkPixbuf-CRITICAL **: gdk_pixbuf_scale_simple: assertion 'dest_width > 0' failed

(inkscape:1430): GLib-GObject-CRITICAL **: g_object_ref: assertion 'G_IS_OBJECT (object)' failed
terminate called after throwing an instance of 'Gtk::IconThemeError'

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Abandon (core dumped)
[jerome@jerome-pc ~]$ 
(Chroot Doot ✝) #7

Could be a theme-related problem. Open up System Settings, go to Application Style and click on Gnome Application Style. What is selected for GTK 2, GTK3, Icon theme, and Fallback theme?

1 Like
(Jerome) #8

I have that:

(Chroot Doot ✝) #9

Nothing seems out of place, unfortunately, and the first two warnings shouldn’t be an issue. I can’t find anything related to these errors on the web, but they do still seem theme-related.

Try running a another GTK application, like Gimp, and see if they have problems too (Not Firefox because it has KDE integration).

You could also try rolling-back Inkscape:
pacman -U /var/cache/pacman/pkg/package-old_version.pkg.tar.xz
(Use a version older than 0.92.2-3)

(Jerome) #11

I tried GIMP and it works well.
I installed an older version of Inkscape but I’ve got that message:

[jerome@jerome-pc ~]$ inkscape  
inkscape: error while loading shared libraries: libpoppler.so.67: cannot open shared object file: No such file or directory

I changed GTK theme several time until it works:

So my issue is solved.
But I still have an error message:

[jerome@jerome-pc ~]$ inkscape  

(inkscape:2036): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « adwaita »

(inkscape:2036): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « adwaita »
1 Like
(system) closed #12

This topic was automatically closed 60 minutes after the last reply. New replies are no longer allowed.

(totte) opened #13

Topic re-opened by request for additional comments.

(Chroot Doot ✝) #14

That’s odd having to change your icon theme, probably something which should be investigated. I wonder if it’s a problem with the KDE theming engine or Inkscape :thinking:

Also don’t worry about those two warnings, they sometimes pop up with GTK applications.

(Astate) #15

I have always this the message with all distrbution linux (always with KDE) i have tested.

1 Like
(totte) closed #16

This topic was automatically closed 24 hours after the last reply. New replies are no longer allowed.